FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.afb73cd BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.afb73cd SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=afb73cd OS_GIT_VERSION=4.5.0-202106111650.p0.git.afb73cd-afb73cd SOURCE_DATE_EPOCH=1589976928 SOURCE_GIT_COMMIT=afb73cdd4842d1dd9cf1ef12604207316c833c49 SOURCE_GIT_TAG=v4.4-imagestream-1-6-gafb73cd SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
WORKDIR  /go/src/github.com/openshift/oauth-proxy
COPY . .
RUN go build .

FROM openshift/base-rhel7:v4.5.0.20210611.170122
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.afb73cd BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.afb73cd SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=afb73cd OS_GIT_VERSION=4.5.0-202106111650.p0.git.afb73cd-afb73cd SOURCE_DATE_EPOCH=1589976928 SOURCE_GIT_COMMIT=afb73cdd4842d1dd9cf1ef12604207316c833c49 SOURCE_GIT_TAG=v4.4-imagestream-1-6-gafb73cd SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
COPY --from=builder /go/src/github.com/openshift/oauth-proxy/oauth-proxy /usr/bin/oauth-proxy
ENTRYPOINT ["/usr/bin/oauth-proxy"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="OpenShift OAuth Proxy." \
        io.k8s.display-name="OpenShift OAuth Proxy" \
        io.openshift.tags="oauth" \
        vendor="Red Hat" \
        name="openshift/ose-oauth-proxy" \
        com.redhat.component="golang-github-openshift-oauth-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202106111650.p0.git.afb73cd" \
        io.openshift.build.commit.id="afb73cdd4842d1dd9cf1ef12604207316c833c49" \
        io.openshift.build.source-location="https://github.com/openshift/oauth-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/oauth-proxy/commit/afb73cdd4842d1dd9cf1ef12604207316c833c49" \
        version="v4.5.0"

